Subject: [bug#54304] [PATCH] Don't fix git executable location during Elixir build

From: Cees de Groot <[email-masked]>
Date: Wed, 09 Mar 2022 17:35:25 +0000

> Propagation is not necessary to ‘keep git around’ (assuming that the

Well.... the whole reason that I stumbled upon this was that the compile-time substitution referred to a Git version that got GC'd. And I think that that is the different between regular inputs and propagated inputs, whether inputs become eligible for GC at run-time or not. If I'm misunderstanding something there, something else caused that version of Git to get GC'd and I'd be more than happy to be corrected in my assumptions.